Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageGradient Class Reference

`#include <vtkImageGradient.h>`

Inheritance diagram for vtkImageGradient:

[legend]
Collaboration diagram for vtkImageGradient:

[legend]
List of all members.

## Detailed Description

Computes the gradient vector.

Date:
  2003/01/09 19:21:05

Revision:
  1.36

vtkImageGradient computes the gradient vector of an image. The vector results are stored as scalar components. The Dimensionality determines whether to perform a 2d or 3d gradient. The default is two dimensional XY gradient. OutputScalarType is always float. Gradient is computed using central differences.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (71%)
  - Martin, Ken (21%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageGradient.h)`
  - .`cxx` (`/Imaging/vtkImageGradient.cxx)`

Examples:
  vtkImageGradient (Examples)

Tests:
  vtkImageGradient (Tests)

Definition at line 52 of file vtkImageGradient.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDimensionality (int)
virtual int | GetDimensionality ()
virtual void | SetHandleBoundaries (int)
virtual int | GetHandleBoundaries ()
virtual void | HandleBoundariesOn ()
virtual void | HandleBoundariesOff ()
## Static Public Methods
vtkImageGradient * | New ()
int | IsTypeOf (const char *type)
vtkImageGradient * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageGradient ()
| ~vtkImageGradient ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | HandleBoundaries
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageGradient::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 56 of file vtkImageGradient.h.

## Constructor & Destructor Documentation

vtkImageGradient::vtkImageGradient | ( |  | ) | `[protected]`

vtkImageGradient::~vtkImageGradient | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkImageGradient.h.

## Member Function Documentation

vtkImageGradient* vtkImageGradient::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageGradient::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageGradient::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageGradient::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageGradient* vtkImageGradient::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageGradient::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageGradient::SetDimensionality | ( | int |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

virtual int vtkImageGradient::GetDimensionality | ( |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

virtual void vtkImageGradient::SetHandleBoundaries | ( | int |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual int vtkImageGradient::GetHandleBoundaries | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageGradient::HandleBoundariesOn | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageGradient::HandleBoundariesOff | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

void vtkImageGradient::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageGradient::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageGradient::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 82 of file vtkImageGradient.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageGradient::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageGradient::HandleBoundaries`[protected]`

| Definition at line 77 of file vtkImageGradient.h.

int vtkImageGradient::Dimensionality`[protected]`

| Definition at line 78 of file vtkImageGradient.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageGradient.h